import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Metrics } from '../core/entities';

@Injectable({
	providedIn: 'root'
})
export class HealthCheckService {

	constructor(private http: HttpClient) {}

	healthCheck(): Observable<Metrics> {
		return this.http.get<Metrics>('/api/metrics/healthCheck');
	}
}
